Skip to content

Delete Metric View

API Description

Use this API to delete a metric view. Specify the unique metric view ID to safely remove a metric view configuration that is no longer needed.

API URL

POST Http://{anymetrics_host:anymetrics_port}/anymetrics/api/v1/analysisview/delete

For how to obtain anymetrics_host:anymetrics_port, see Calling APIs.

Request Method

Common Request Parameters (HEADERS)

Parameter Type Required Description
tenant-id String Yes The tenant ID that identifies the tenant where the metric view belongs
auth-type String Yes Authentication type. Supported values: UID, TOKEN, ACCOUNT, and APIKEY
auth-value String Yes The authentication value that corresponds to auth-type

How to Obtain Common Parameters

To obtain tenant-id, select a metric application in the top navigation bar of Aloudata CAN, choose API Integration from the left-side menu, and copy it from the API Integration page. Set auth-value to the authentication value that corresponds to the selected auth-type.

Request Parameters

Parameter Type Required Max Length Description
id Long Yes Metric view ID

Response Parameters

Parameter Type Required Max Length Description
code String Yes 32 API response code
message String Yes 512 Message body
traceId String Yes 128 Trace ID for troubleshooting
data Boolean Yes Operation result

Request Example

{
  "id":1
}

Response Example

{
    "code":"200",
    "message":"Request succeeded",
    "traceId":"fdde6861bd554805998343f9ff2dcd70.292.16857691758642861",
    "data":true
}